=== debian/changelog ===
ros-melodic-tts (1.0.2-1bionic) bionic; urgency=high

  * update changelog to be compatible with catkin_generate_changelog (#28 <https://github.com/aws-robotics/tts-ros1/issues/28>)
    Signed-off-by: y² <mailto:forresty@amazon.com>
  * increment patch version (#27 <https://github.com/aws-robotics/tts-ros1/issues/27>)
    Signed-off-by: y² <mailto:forresty@amazon.com>
  * Release 1.0.1 (#9 <https://github.com/aws-robotics/tts-ros1/issues/9>)
    * Release 1.0.1
    * 1.0.1
  * Merge pull request #2 <https://github.com/aws-robotics/tts-ros1/issues/2> from yyu/fix
    no assert_called() for older versions of mock
  * no assert_called() for older versions of mock
  * remove rostest from top level find_package (#1 <https://github.com/aws-robotics/tts-ros1/issues/1>)
    It's conditionally found in the testing section only so it's only a test_depend
  * Contributors: AAlon, M. M, Tully Foote, Yuan "Forrest" Yu, y²

 -- AWS RoboMaker <ros-contributions@amazon.com>  Thu, 01 Aug 2019 07:00:00 -0000

ros-melodic-tts (1.0.1-1bionic) bionic; urgency=high

  * Merge pull request #2 <https://github.com/aws-robotics/tts-ros1/issues/2> from yyu/fix
    no assert_called() for older versions of mock
  * no assert_called() for older versions of mock
  * remove rostest from top level find_package (#1 <https://github.com/aws-robotics/tts-ros1/issues/1>)
    It's conditionally found in the testing section only so it's only a test_depend
  * Contributors: Tully Foote, Yuan "Forrest" Yu, y²

 -- AWS RoboMaker <ros-contributions@amazon.com>  Wed, 20 Mar 2019 07:00:00 -0000

ros-melodic-tts (1.0.0-1bionic) bionic; urgency=high



 -- AWS RoboMaker <ros-contributions@amazon.com>  Wed, 20 Mar 2019 07:00:00 -0000
